[求助] 弹出use askusermessage() or asksyslogmessage()错误

2018-7-9 19:42:10 2013 2

  [复制链接]
zengbiao 发表于 2018-7-7 20:27:16 | 显示全部楼层 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
做UI界面时弹出这个错误
/ |- J# |! U  E! E( wint NX10_daoyuanjiao::apply_cb()9 \0 E2 m% c# S: w; K4 q' O
{# A* w! E1 r7 `6 F" @
    int errorCode = 0;8 E5 b" v% @- |- r: K: z
    try
! ~- g2 q: D5 V: b. [    {
* M9 k/ X3 u# i/ R        //---- Enter your callback code here -----# c1 d& T  ?8 c4 h' r( u
                  UF_initialize();
! ~* S  U9 L- R% B          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();1 \; H* p: U; a! C0 U7 b/ ^
          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");6 p( `: K7 _  h0 ~6 K# H) L; P
                  delete DirectionToExtrudeproplist;
( |. W# u& I* x7 O: j' q                  DirectionToExtrudeproplist= NULL;0 k7 t1 Z# p/ }+ q2 l# J) v# T
                  
& I0 a: z8 g$ r% e" C" u% W              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数8 z" Z9 }4 R# S
              {   
9 ?( r7 p! P" I  y3 h                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色- E: R5 }. A5 W4 n
              }
! z4 h% d' H6 H* S" }! I1 f  O% C8 y6 [9 K/ X; r
      UF_terminate();
1 j  @1 a  W! S9 V. b3 G, z    }+ V, F) ]) e- s- `+ l) d
    caTCh(exception& ex)6 P. t1 m$ y# s5 J
    {
8 a( @& ~) O& {" J* W        //---- Enter your exception handling code here -----
- Q/ ^9 a4 V& p7 P        errorCode = 1;
$ C7 _+ o$ K9 {) x$ P, }) M        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());. t) `: ?$ y6 N$ N0 y
    }
; l+ o/ a6 J3 B7 q4 B% r# m    return errorCode;
+ ^6 S1 P4 E0 n8 o+ h( |% y+ f3 Q}
' R( A3 G; c. k* B. C+ P  V+ P" _8 F$ }
最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗
' E, D9 ^& M, z9 K
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

admin 发表于 2018-7-9 16:44:26 | 显示全部楼层

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

 楼主| zengbiao 发表于 2018-7-9 19:42:10 | 显示全部楼层

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:447 u3 P" X4 G. }3 E
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本

/ q' e0 w; Z8 J6 ]- p谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

用户组 : 新手上路
邮   箱 :1963869478@qq.com
手   机 :未填写
Q   Q : 未填写
性别 : 就不告诉你
主页 :未填写
个人介绍 :未填写

主题1

帖子4

积分25

  • TC12安装出错,求帮助

    日记没有记录啊,咋样?

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 6 实现打开PLM之家

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 5 创建Tecnomatix

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 4 设置图标效果如

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 3 第一个hello plm


  • 发布新帖
  • 在线客服1
  • 在线客服2
  • 微信
  • 客户端
  • 返回顶部
  • NX讨论
    Catia
    TC讨论
    Tecno
    云课堂
    业务合作
    快速回复 返回顶部 返回列表